IF NOT EXISTS ( SELECT 1 FROM sys.tables t
            JOIN sys.schemas s ON t.schema_id = s.schema_id WHERE t.name IN ('Faturamento', 'Empresa') AND s.name = 'dbo'
)
BEGIN
    RAISERROR('ERRO: Estrutura incompatível com o banco do LinxERP.', 16, 1)
    RETURN
END
SET NOCOUNT ON
go
--================================================================================================================================
IF NOT EXISTS ( SELECT 1 FROM sys.tables t
            JOIN sys.schemas s ON t.schema_id = s.schema_id WHERE t.name IN ('Faturamento', 'Empresa') AND s.name = 'dbo'
)
BEGIN
    RAISERROR('ERRO: Estrutura incompatível com o banco do LinxERP.', 16, 1)
    RETURN
END
IF NOT EXISTS (SELECT TOP 1 1 FROM LJ_ETL_VERSAO_LOJA WHERE VERSAO = '3.1.13')
BEGIN
INSERT INTO [dbo].[LJ_ETL_VERSAO_LOJA]
           ([VERSAO]
           ,[CODIGO_FILIAL]
           ,[FILIAL])
     VALUES
           ('3.1.13'
           ,'0000'
           ,'DEFAULT')
END
GO
--================================================================================================================================
IF NOT EXISTS ( SELECT 1 FROM sys.tables t
            JOIN sys.schemas s ON t.schema_id = s.schema_id WHERE t.name IN ('Faturamento', 'Empresa') AND s.name = 'dbo'
)
BEGIN
    RAISERROR('ERRO: Estrutura incompatível com o banco do LinxERP.', 16, 1)
    RETURN
END
SET NOCOUNT OFF
GO